## GtkCellRendererPixbuf

GtkCellRendererPixbuf —

## Synopsis

    #include <gtk/gtk.h>

    struct      GtkCellRendererPixbuf;
    GtkCellRenderer* gtk_cell_renderer_pixbuf_new
                                                (void);

## Object Hierarchy

      GObject
       +----GtkObject
             +----GtkCellRenderer
                   +----GtkCellRendererPixbuf

## Properties

      "pixbuf"               GdkPixbuf            : Read / Write
      "pixbuf-expander-closed" GdkPixbuf            : Read / Write
      "pixbuf-expander-open" GdkPixbuf            : Read / Write
      "stock-detail"         gchararray           : Read / Write
      "stock-id"             gchararray           : Read / Write
      "stock-size"           GtkIconSize          : Read / Write

## Description

## Details

### struct GtkCellRendererPixbuf

    struct GtkCellRendererPixbuf;

### gtk_cell_renderer_pixbuf_new ()

    GtkCellRenderer* gtk_cell_renderer_pixbuf_new
                                                (void);

Creates a new GtkCellRendererPixbuf. Adjust rendering parameters using object properties. Object properties can be set globally (with g_object_set()). Also, with GtkTreeViewColumn, you can bind a property to a value in a GtkTreeModel. For example, you can bind the "pixbuf" property on the cell renderer to a pixbuf value in the model, thus rendering a different image in each row of the GtkTreeView.

Returns : | the new cell renderer

## Properties

"`pixbuf`" (GdkPixbuf : Read / Write) | The pixbuf to render.
"`pixbuf-expander-closed`" (GdkPixbuf : Read / Write) | Pixbuf for closed expander.
"`pixbuf-expander-open`" (GdkPixbuf : Read / Write) | Pixbuf for open expander.
"`stock-detail`" (gchararray : Read / Write) | Render detail to pass to the theme engine.
"`stock-id`" (gchararray : Read / Write) | The stock ID of the stock icon to render.
"`stock-size`" (GtkIconSize : Read / Write) | The size of the rendered icon.